<?php

	

	$automobile_hub_tp_theme_css = '';

	// 1st color
$automobile_hub_tp_color_option = get_theme_mod('automobile_hub_tp_color_option', '#2aca4e');
if ($automobile_hub_tp_color_option) {
    $automobile_hub_tp_theme_css .= ':root {';
    $automobile_hub_tp_theme_css .= '--color-primary1: ' . esc_attr($automobile_hub_tp_color_option) . ';';
    $automobile_hub_tp_theme_css .= '}';
}

//hover color
$automobile_hub_tp_color_option_link = get_theme_mod('automobile_hub_tp_color_option_link');

if($automobile_hub_tp_color_option_link != false){
$automobile_hub_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover,#slider .carousel-control-prev-icon:hover, #slider .carousel-control-next-icon:hover,span.meta-nav:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover,#theme-sidebar .tagcloud a:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.book-tkt-btn a.bar-btn i:hover, .more-btn a:hover,.wc-block-cart__submit-container a:hover,a.added_to_cart.wc-forward:hover{';
$automobile_hub_tp_theme_css .='background: '.esc_attr($automobile_hub_tp_color_option_link).';';
$automobile_hub_tp_theme_css .='}';
}
if($automobile_hub_tp_color_option_link != false){
$automobile_hub_tp_theme_css .='a:hover,#theme-sidebar a:hover,.media-links i:hover , .headerbox i:hover, a.page-numbers:hover, .post_tag a:hover,#theme-sidebar .widget_tag_cloud a:hover,#footer .tagcloud a:hover,#footer li a:hover {';
$automobile_hub_tp_theme_css .='color: '.esc_attr($automobile_hub_tp_color_option_link).';';
$automobile_hub_tp_theme_css .='}';
}
if($automobile_hub_tp_color_option_link != false){
$automobile_hub_tp_theme_css .='#footer .tagcloud a:hover,.post_tag a:hover,#theme-sidebar .widget_tag_cloud a:hover,.readmore-btn a:hover,a.added_to_cart.wc-forward:hover{';
$automobile_hub_tp_theme_css .='border-color: '.esc_attr($automobile_hub_tp_color_option_link).';';
$automobile_hub_tp_theme_css .='}';
}

if($automobile_hub_tp_color_option_link != false){
$automobile_hub_tp_theme_css .='.woocommerce a.button:hover{';
$automobile_hub_tp_theme_css .='border-color: '.esc_attr($automobile_hub_tp_color_option_link).';';
$automobile_hub_tp_theme_css .='}';
}

$automobile_hub_tp_preloader_color1_option = get_theme_mod('automobile_hub_tp_preloader_color1_option');

if($automobile_hub_tp_preloader_color1_option != false){
$automobile_hub_tp_theme_css .='.center1{';
	$automobile_hub_tp_theme_css .='border-color: '.esc_attr($automobile_hub_tp_preloader_color1_option).' !important;';
$automobile_hub_tp_theme_css .='}';
}
if($automobile_hub_tp_preloader_color1_option != false){
$automobile_hub_tp_theme_css .='.center1 .ring::before{';
	$automobile_hub_tp_theme_css .='background: '.esc_attr($automobile_hub_tp_preloader_color1_option).' !important;';
$automobile_hub_tp_theme_css .='}';
}

$automobile_hub_tp_preloader_color2_option = get_theme_mod('automobile_hub_tp_preloader_color2_option');

if($automobile_hub_tp_preloader_color2_option != false){
$automobile_hub_tp_theme_css .='.center2{';
	$automobile_hub_tp_theme_css .='border-color: '.esc_attr($automobile_hub_tp_preloader_color2_option).' !important;';
$automobile_hub_tp_theme_css .='}';
}
if($automobile_hub_tp_preloader_color2_option != false){
$automobile_hub_tp_theme_css .='.center2 .ring::before{';
	$automobile_hub_tp_theme_css .='background: '.esc_attr($automobile_hub_tp_preloader_color2_option).' !important;';
$automobile_hub_tp_theme_css .='}';
}

$automobile_hub_tp_preloader_bg_color_option = get_theme_mod('automobile_hub_tp_preloader_bg_color_option');

if($automobile_hub_tp_preloader_bg_color_option != false){
$automobile_hub_tp_theme_css .='.loader{';
	$automobile_hub_tp_theme_css .='background: '.esc_attr($automobile_hub_tp_preloader_bg_color_option).';';
$automobile_hub_tp_theme_css .='}';
}

$automobile_hub_tp_footer_bg_color_option = get_theme_mod('automobile_hub_tp_footer_bg_color_option');


if($automobile_hub_tp_footer_bg_color_option != false){
$automobile_hub_tp_theme_css .='#footer{';
	$automobile_hub_tp_theme_css .='background: '.esc_attr($automobile_hub_tp_footer_bg_color_option).';';
$automobile_hub_tp_theme_css .='}';
}

$automobile_hub_footer_widget_image = get_theme_mod('automobile_hub_footer_widget_image');
if($automobile_hub_footer_widget_image != false){
$automobile_hub_tp_theme_css .='#footer{';
$automobile_hub_tp_theme_css .='background: url('.esc_attr($automobile_hub_footer_widget_image).');';
$automobile_hub_tp_theme_css .='}';
}

//======================= slider Content layout ===================== //

$automobile_hub_slider_content_layout = get_theme_mod('automobile_hub_slider_content_layout', 'LEFT-ALIGN'); 
$automobile_hub_tp_theme_css .= '#slider .carousel-caption{';
switch ($automobile_hub_slider_content_layout) {
    case 'LEFT-ALIGN':
        $automobile_hub_tp_theme_css .= 'text-align:left; right: 50%; left: 15%';
        break;
    case 'CENTER-ALIGN':
        $automobile_hub_tp_theme_css .= 'text-align:center; left: 20%; right: 20%';
        break;
    case 'RIGHT-ALIGN':
        $automobile_hub_tp_theme_css .= 'text-align:right; left: 50%; right: 15%';
        break;
    default:
        $automobile_hub_tp_theme_css .= 'text-align:left; right: 50%; left: 15%';
        break;
}
$automobile_hub_tp_theme_css .= '}';


//Font Weight
$automobile_hub_menu_font_weight = get_theme_mod( 'automobile_hub_menu_font_weight','400');
if($automobile_hub_menu_font_weight == '100'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 100;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '200'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 200;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '300'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 300;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '400'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 400;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '500'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 500;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '600'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 600;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '700'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 700;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '800'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 800;';
$automobile_hub_tp_theme_css .='}';
}else if($automobile_hub_menu_font_weight == '900'){
$automobile_hub_tp_theme_css .='.main-navigation a{';
    $automobile_hub_tp_theme_css .='font-weight: 900;';
$automobile_hub_tp_theme_css .='}';
}

// header

$automobile_hub_slider_arrows = get_theme_mod('automobile_hub_slider_arrows','');

if($automobile_hub_slider_arrows != true){
$automobile_hub_tp_theme_css .='.page-template-front-page .menubar{';
    $automobile_hub_tp_theme_css .='position:static;';
$automobile_hub_tp_theme_css .='}';
$automobile_hub_tp_theme_css .='.page-template-front-page .main-navigation a, .page-template-front-page .logo p{';
    $automobile_hub_tp_theme_css .='color:#000;';
$automobile_hub_tp_theme_css .='}';
$automobile_hub_tp_theme_css .='.page-template-front-page .main-navigation ul ul a{';
    $automobile_hub_tp_theme_css .='color:#fff;';
$automobile_hub_tp_theme_css .='}';
}

// logo tagline color
$automobile_hub_site_tagline_color = get_theme_mod('automobile_hub_site_tagline_color');

if($automobile_hub_site_tagline_color != false){
$automobile_hub_tp_theme_css .='.page-template-front-page .logo h1 a, .page-template-front-page .logo p.site-title a, .logo h1 a, .logo p.site-title a{';
$automobile_hub_tp_theme_css .='color: '.esc_attr($automobile_hub_site_tagline_color).';';
$automobile_hub_tp_theme_css .='}';
}

$automobile_hub_logo_tagline_color = get_theme_mod('automobile_hub_logo_tagline_color');
if($automobile_hub_logo_tagline_color != false){
$automobile_hub_tp_theme_css .='p.site-description{';
$automobile_hub_tp_theme_css .='color: '.esc_attr($automobile_hub_logo_tagline_color).';';
$automobile_hub_tp_theme_css .='}';
}

/*---------------------------Slider Height ------------*/
    $automobile_hub_slider_img_height       = get_theme_mod('automobile_hub_slider_img_height');
    $automobile_hub_slider_img_height_resp  = get_theme_mod('automobile_hub_slider_img_height_responsive');

    if ( $automobile_hub_slider_img_height ) {
        $automobile_hub_tp_theme_css .= '#slider img {';
        $automobile_hub_tp_theme_css .= 'height: ' . esc_attr( $automobile_hub_slider_img_height ) . ';';
        $automobile_hub_tp_theme_css .= '}';
    }

    if ( $automobile_hub_slider_img_height_resp ) {
        $automobile_hub_tp_theme_css .= '@media only screen and (max-width: 767px) {';
        $automobile_hub_tp_theme_css .= '#slider img {';
        $automobile_hub_tp_theme_css .= 'height: ' . esc_attr( $automobile_hub_slider_img_height_resp ) . ';';
        $automobile_hub_tp_theme_css .= '}';
        $automobile_hub_tp_theme_css .= '}';
    }
// Slider animation
$car_repair_product_sec_animation = get_theme_mod( 'car_repair_product_sec_animation', true );
if ( $car_repair_product_sec_animation ) {
    $automobile_hub_tp_theme_css .= '#product { animation: bounceInDown 3s; animation-fill-mode: both; }';
}